qBittorrent-nox 标准&快检 静态编译 适用于Linux系统
 Ghost_chu 补丁
2022-12-09 - 为 4.5.0, 4.6.0beta1 构建应用了语言选择器补丁,这是一个上游问题,并在本文中的构建中得到临时修复,本文提供的构建可以正常在 WebUI 中选择简中语言。
 当前正在维护的 qBittorrent 版本
v4.2.x -> 4.2.5
v4.3.x -> 4.3.9
v4.4.x -> 4.4.5
v4.5.x -> 4.5.0
v4.6.x (master) -> 4.6.0beta1
除上述版本以外的 qBittorrent 暂时不受支持。
 参与编译的 libtorrent 版本
RC_1_2:稳定!占用小!推荐!
RC_2_0:不稳定!BUG多!占用高(>4GB RAM)但是快一些!CPU占用高,不适合群晖或者小盒子用户 不推荐!
每次编译时,均使用最新的 libtorrent 版本。
对于目前的最新 libtorrent 版本及其更新日志,请参见:https://github.com/arvidn/libtorrent/releases
 支持的处理器架构
x86_64, aarch64, armhf, armv7
不在此列的我也没办法 ╮(╯▽╰)╭
本文编译的二进制文件仅提供 qbittorrent-nox 的适用于 Linux 操作系统的二进制文件。
Windows 用户可以右上角关闭了~

本文持续维护更新使用新版 libtorrent 的各个不同版本的 qBittorrent 的二进制文件。

由本项目编译的 qbittorrent 4.5.0beta1 WebUI 截图

版本说明

 小提示
您可以通过左侧的 “文章目录” 快速找到并跳转到您需要的版本的位置!

标准版本

顾名思义,适合绝大多数用户的构建版本。

快检版本

由 ChisBread 修改的版本,适合 PT 用户,提供如下特性:

  1. 更加快速(但相对而言不安全)的hash校验
  2. 快速校验失败后自动暂停,下次开始种子时进行完整校验

对于快检版本的源代码,请参见:

本文的快检版本使用如下源代码:

快检版本没有 libtorrent 2.x 的版本

Github 仓库 Release 说明

release 标题说明
文件名说明

手动构建版本(稳定)

手动构建的版本通常经过人工测试,建议使用该版本,更加稳定。

 最近更新时间
最近一次的手动构建版本更新于 2022/12/10

标准版本

手动构建的标准版本提供使用官方标准源代码编译和构建的 qBittorrent 版本。

手动构建的版本通常经过人工测试,建议使用该版本,更加稳定。

v4.6.0beta1 - 标准版

本版本是基于官方仓库的 master 分支构建最新开发版本。

 依赖信息
Qbittorrent: 4.6.0beta1
Qt5: 5.15.7
Qt6: 6.4.1
Libtorrent: 1.12.8 / 2.0.8
Boost: 1.80.0
OpenSSL: 3.0.7
zlib-ng: 1.2.12
下载

RC_1_2(推荐):点此下载
RC_2_0:点此下载


v4.5.0 - 标准版

目前最新正式版。

 依赖信息
Qbittorrent: 4.5.0
Qt5: 5.15.7
Qt6: 6.4.1
Libtorrent: 1.12.8 / 2.0.8
Boost: 1.80.0
OpenSSL: 3.0.7
zlib-ng: 1.2.12
下载

RC_1_2(推荐):点此下载
RC_2_0:点此下载


v4.4.5 - 标准版

不推荐,有大量用户报告 v4.4.x 存在 UI 冻结、卡死等问题。

 依赖信息
Qbittorrent: 4.4.5
Qt5: 5.15.7
Qt6: 6.4.1
Libtorrent: 1.12.8 / 2.0.8
Boost: 1.80.0
OpenSSL: 3.0.7
zlib-ng: 1.2.12
下载

RC_1_2(推荐):点此下载

RC_2_0:点此下载


v4.3.9 - 标准版

PT 下载推荐,比较稳定!

 依赖信息
Qbittorrent: 4.3.9
Qt5: 5.15.7
Qt6: 6.4.1
Libtorrent: 1.12.8 / 2.0.8
Boost: 1.80.0
OpenSSL: 3.0.7
zlib-ng: 1.2.12
下载

RC_1_2(推荐):点此下载

RC_2_0:点此下载


v4.2.5 - 标准版

部分比较 old school 的 PT 站可能仅支持 v4.2.x 的 qBittorrent 。

 依赖信息
Qbittorrent: 4.2.5
Qt5: 5.15.7
Qt6: 不支持
Libtorrent: 1.12.8
Boost: 1.80.0
OpenSSL: 3.0.7
zlib-ng: 1.2.12
下载

RC_1_2:点此下载

RC_2_0:不支持

快检版本

手动构建的快检版本提供使用官方标准源代码编译和构建的 qBittorrent 版本以及部分来自 ChisBread/libtorrent 的代码。

v4.6.0 beta1 - 快检版

本版本是基于官方仓库的 master 分支构建最新开发版本。

 依赖信息
Qbittorrent: 4.5.0beta1
Qt5: 5.15.7
Qt6: 6.4.0
Libtorrent: 1.12.8(Fast Hash Check)
Boost: 1.80.0
OpenSSL: 3.0.7
zlib-ng: 1.2.12
下载

RC_1_2(推荐):点此下载
RC_2_0:不支持


v4.5.0 - 快检版

目前最新正式版。

 依赖信息
Qbittorrent: 4.5.0
Qt5: 5.15.7
Qt6: 6.4.0
Libtorrent: 1.12.8(Fast Hash Check)
Boost: 1.80.0
OpenSSL: 3.0.7
zlib-ng: 1.2.12
下载

RC_1_2(推荐):点此下载
RC_2_0:不支持


v4.4.5 - 快检版

不推荐,有大量用户报告 v4.4.x 存在 UI 冻结、卡死等问题。

 依赖信息
Qbittorrent: 4.4.5
Qt5: 5.15.7
Qt6: 6.4.0
Libtorrent: 1.12.8(Fast Hash Check)
Boost: 1.80.0
OpenSSL: 3.0.6
zlib-ng: 1.2.12
下载

RC_1_2(推荐):点此下载
RC_2_0:不支持


v4.3.9 - 快检版

PT 下载推荐,比较稳定!

 依赖信息
Qbittorrent: 4.3.9
Qt5: 5.15.7
Qt6: 6.4.0
Libtorrent: 1.12.8(Fast Hash Check)
Boost: 1.80.0
OpenSSL: 3.0.7
zlib-ng: 1.2.12
下载

RC_1_2(推荐):点此下载
RC_2_0:不支持


v4.2.5 - 快检版

部分比较 old school 的 PT 站可能仅支持 v4.2.x 的 qBittorrent 。

 依赖信息
Qbittorrent: 4.2.5
Qt5: 5.15.7
Qt6: 不支持
Libtorrent: 1.12.8(Fast Hash Check)
Boost: 1.80.0
OpenSSL: 3.0.7
zlib-ng: 1.2.12
下载

RC_1_2 (推荐):点此下载

RC_2_0:不支持

自动构建版本(不稳定)

 警告
自动构建版本由 Github Actions 每天自动更新,完全未经人工测试
请在更新之前做好数据备份工作。

您可以在 https://github.com/Ghost-chu/qbittorrent-nox-static/releases 找到以 “自动构建” 开头的 release,该 release 中的内容和附件每天会更新一次。


引用 & 鸣谢

代码引用

Github Actions 构建脚本来源于:

本文构建脚本仓库:

快检版 libtorrent:

本文使用的快检版 libtorrent 分支:

官方版 qBittorrent 源代码:

官方版 libtorrent 源代码:

鸣谢

项目测试&SPK打包:我不是矿神

项目测试:矿神群晖SPK交流群的群友

Synology DSM 用户

本文的 qBittorrent 二进制编译构件现已加入 矿神SPK源 豪华套餐!

在 DSM 6.x/7.x 上配置 矿神SPK源,请参见:矿神群晖SPK套件中心 上线啦!支持DSM6、DSM7

对于在 DSM 设备上的常见问题,您可参考 IMNKS 的文章:群晖套件:qBittorrent v4.5.0测试版beta1 支持DSM6、7

如需手动替换特定构建的二进制文件:

  • 停用已安装的 qBittorrent 套件
  • 打开 DSM 的 SSH 终端机功能
  • 连接 SSH,切换到 /var/packages/qBittorrent/target/bin 目录
  • 使用 sudo -i 命令切换到 root 权限
  • 把里面的 qbittorrent-nox 用你想要替换的文件替换掉(替换后文件名必须保持不变)
  • 重新配置用户组:chown -R qBittorrent:qBittorrent qbittorrent-nox 或者 chmod 777 qbittorrent-nox 也可以
  • 备份 /var/packages/qBittorrent/target/qBittorrent_conf 中的所有文件,避免数据损坏
  • 重新开启 qBittorrent 套件测试
  • 没有问题禁用 DSM 的 SSH 终端机功能保证安全
  • OK 搞定

关于为什么创建此项目

由于 qBittorrent 从 v4.3 一直到 v4.4 使用的 libtorrent 存在严重问题,会导致 qBittorrent 崩溃、卡死、高 CPU/RAM 占用等问题,祸害了一大批 qb 用户(包括我)。

qBittorrent 在 4.5.0beta1 中修复了这些问题,但显而易见没有人为不稳定的版本提供二进制文件编译,导致我一直被崩溃问题所折磨。

本项目最初只编译 x86_64 的 qBittorrent 4.5.0beta1,但现在也同时提供其他版本的编译,以便需求不同的 qb 用户都能吃上最新的 libtorrent 的 BUG修复(或者新的BUG)(大雾。

本文使用 CC-BY 4.0 知识共享 署名 4.0 协议分发,您可以将此文章用作商业用途,但请标注原文链接

评论

  1. 夜祀
    Windows Chrome
    2 月前
    2024-4-07 19:37:19

    想请教一下大佬,同样的qb版本4.5.2,libtorrent版本1.2.18构建的x86_64文件,您的手动构建文件70多M,userdocs仓库构建的只有60M左右。是单纯的压缩率问题,还是大佬您的版本有什么优化项呢?真心求教。

    • 博主
      夜祀
      Windows Edge
      2 月前
      2024-4-09 20:19:11

      不同环境编译出来的结果不同是正常的。我已经不更新了,qb官方的新版本修复了所有遇到的问题,建议直接用新版本。

      • 夜祀
        Ghost_chu
        Windows Chrome
        2 月前
        2024-4-09 20:59:51

        好的,谢谢大佬的解答。

  2. watson
    Windows Edge
    7 月前
    2023-12-02 18:39:18

    大佬,我遭遇到的问题和您一模一样,但是现在套件源没有1.2.x版的qb了,您是已经停止维护了吗

  3. KillLinux
    Windows Chrome
    8 月前
    2023-10-15 18:31:11

    不知该项目是否还在维护 遇到点小问题。。我在服务器上部署了4.5.2的标准版 添加任何PT站点的种子进行下载tracker均报错unspecified system error,网络方面检查无问题:代理为关闭状态 服务器可与PT站点正常通信,求博主解惑

    • 博主
      KillLinux
      Linux Edge
      8 月前
      2023-10-16 11:21:25

      不维护了,新版本都解决这些问题了,没必要继续维护。
      你遇到的错误也不是换个版本就能解决的。

  4. TnZzZHlp
    Windows Firefox
    1 年前
    2023-1-16 12:19:44

    大佬你的机器什么配置,我N5105随便下几个种子负载都满了,可以给你的qb配置我参考一下么

    • 博主
      TnZzZHlp
      Windows Edge
      1 年前
      2023-1-16 16:27:33

      DS918+,处理器J3455,内存 4GB。
      qBittorrent 的安装和下载目录分区都是 ext4 格式


      查看图片
      下载标签卡




      查看图片
      连接标签卡




      查看图片
      速度标签卡




      查看图片
      Bittorrent 标签卡




      查看图片
      高级标签卡




      查看图片
      高级标签卡2




      查看图片
      高级标签卡3


      分区格式挺重要的,不要用 btrfs 或者 xfs/zfs 之类的。就算要用也要把校验和、完整性、加密和压缩关掉,不然 I/O 会很难看,一旦缓存超负荷,qBittorrent 分分钟卡死给你看。
      磁盘缓存越大/IO速度越快,qb的响应就越好。
      磁盘缓存大小会直接和内存使用率挂钩,如果总是卡死的话,可以设置一下种子队列和限速看看。

      • TnZzZHlp
        Ghost_chu
        Android Firefox
        1 年前
        2023-1-16 23:01:29

        感谢你的帮助

  5. soso
    Windows Edge
    2 年前
    2022-12-10 8:28:57

    您好,我是从快检版qb的github上找过来的。
    想了解一下,编译版本的快检qb4.3.9在调用外部程序时,会出现中文参数输出异常吗?
    我在使用chrisbread制作的docker版本时遇到了这个问题,很是困扰。
    详情可以参考我提的issue:
    https://github.com/ChisBread/qbittorrent_skip_patch/issues/8

    • 博主
      soso
      Android Chrome
      2 年前
      2022-12-10 10:58:33

      如果它是一个上游错误,那么大概率我这里也会有的。

发送评论 编辑评论


				
|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
呼呼
派蒙
巴巴托斯
上一篇
下一篇